<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/StudentReg.css">
    <script src="JS/StudentReg.js"></script>
    <title>Form Validation</title>
   
</head>

<body>
<div class="form-validation">
    <img class="ocean" src="IMAGE/ocean.jpg" alt="ocean">
    <form name="myform" method="post" onSubmit="return validate()">

        <table cellpadding=”5″>
            


            <tr>

                <td id="first-name"> First Name </td>

                <td> <input type="text" id="first-name-input" name="fname" maxlength="30" /></td>
                <td id="error-fname" style="color: red;"></td>
            </tr>

            <tr>

                <td id="last-name"> Last Name </td>

                <td> <input type="text" id="last-name-input"  name="lname" maxlength="30" /></td>
                <td id="error-lname" style="color: red;"></td>
            </tr>

            <tr>

            <tr>

            <tr>

                <td id="dob"> Date of Birth </td>

                <td> <input type="date" id="dob-input" name="date" id="date" min="1985-01-01" /></td>
                <td id="error-date" style="color: red;"></td>

            </tr>

            <tr>

                <td id="mail"> Email ID </td>

                <td> <input type="text" id="mail-input" name="email" maxlength="100" /></td>
                <td id="error-mail" style="color: red;"></td>

            </tr>

            <tr>

                <td id="phone"> Phone </td>

                <td> <input type="text" id="phone-input" name="phone" /> </td>
                <td id="error-phone" style="color: red;"></td>

            </tr>
       
            <tr>
                <td class="gender"> Gender </td>

                <td class="gender"> Male <input type="radio" id="male" class="gender-input" name="gender" value="male" />  

                    Female <input type="radio" id="female" class="gender-input" name="gender" value="female" /></td>  
                <td id="error-gender" style="color: red;"></td>

            </tr>

            <tr>

                <td id="address">Address</td>

                <td><textarea name="address" id="address-input" placeholder="Enter Address" ></textarea></td>
                <td id="error-address" style="color: red;"></td>

            </tr>

            <tr>

                <td  class="states">State</td>

                <td>

                    <select id="state" name="state" class="state-option">

                        <option value="Select a state"> Select a state</option>

                        <option value="Pondicherry">Pondicherry</option>

                        <option value="TamilNadu" >TamilNadu</option>
                        <option value="Karnataka" >Karnataka</option>

                        <option value="kolkata" > Kolkata</option>

                    </select>

                </td>
                <td id="error-state" style="color: red;"></td>

            </tr>

            <tr>

                <td id="country"> Country</td>

                <td> <input type="text" id="country-input" value="India" name="country" readonly="readonly" /></td>

            </tr>

            <tr>

                <td id="course">Courses: </td>

                <td> Java <input type="checkbox" class="check" name="course" id="Java" value="Java" />

                    DotNet <input type="checkbox" class="check" name="course" id="DotNet" value="DotNet" />

                    PHP  <input type="checkbox" class="check" name="course" id="PHP" value="PHP" />
                    SQL <input type="checkbox" class="check" name="course" id="SQL" value="SQL" />

                </td>
                <td id="error-course" style="color: red;"></td>
            </tr>

            <tr>
           
                <td colspan="2">
             
                    <input type="submit" id="reg" name="submit" value="Register" />

                </td>
            </tr>

        </table>

    </form>
</div>
   
<h2 id="demo"></h2>

    
</body>

</html>
